"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _ConsoleLinkPlugin = require("@webiny/app/plugins/ConsoleLinkPlugin");
var _NetworkErrorLinkPlugin = require("@webiny/app/plugins/NetworkErrorLinkPlugin");
var _OmitTypenameLinkPlugin = require("@webiny/app/plugins/OmitTypenameLinkPlugin");
var _default = exports.default = [
/**
 * This link removes `__typename` from the variables being sent to the API.
 */
new _OmitTypenameLinkPlugin.OmitTypenameLinkPlugin(),
/**
 * This link checks for presence of `extensions.console` in the response and logs all items to browser console.
 */
new _ConsoleLinkPlugin.ConsoleLinkPlugin(),
/**
 * This plugin creates an ApolloLink that checks for `NetworkError` and shows an ErrorOverlay in the browser.
 */
new _NetworkErrorLinkPlugin.NetworkErrorLinkPlugin()];

//# sourceMappingURL=apolloLinks.js.map